[MediaWiki-l] My wiki stopped working

Nomad of Norad nomad-php at joshua-wopr.com
Thu Dec 31 10:45:56 UTC 2015



On 12/29/2015 6:58 AM, Bartosz DziewoƄski wrote:
> On 2015-12-29 09:32, Nomad of Norad wrote:
>> Yeah, very old install of Mediawiki. Might be from a decade ago, my
>> memory is hazy.  Presumably I can just install the newest version of
>> Mediawiki and it will convert over the articles and login-accounts in
>> the DB and stuff to whatever format the current one uses?  Or is there
>> something I need to check first?
>
> Yes, it should just work. Unless you're upgrading from MediaWiki 
> version older than 1.5, in which case it might be a bit more involved 
> (there were major schema changes in 1.5). The process is basically to 
> extract the new files over the old ones and run the update.php 
> maintenance script (or the web updater, if you don't have shell access 
> and your wiki is small).
>
> https://www.mediawiki.org/wiki/Manual:Upgrading explains it all rather 
> well, and also notes the various corner cases run into (but probably 
> won't).
>

So, how do I determine which version I currently have?



More information about the MediaWiki-l mailing list